window.Gleam.initSearch([{"doc":"glee_gd","title":"glee_gd","content":"# glee_gd\n\n[![Package Version](https://img.shields.io/hexpm/v/glee_gd)](https://hex.pm/packages/glee_gd)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/glee_gd/)\n\nGleam bindings for the [Erlang Graphical Drawer (EGD)](https://github.com/erlang/egd) library.\n\n```sh\ngleam add glee_gd\n```\n```gleam\nimport glee_gd as egd\n\npub fn main() {\n  let color = egd.color(#(109, 74, 126))\n  let image =\n    egd.create(500, 500)\n    |&gt; egd.filled_ellipse(image, #(100, 400), #(400, 100), color)\n\n  // Render the image to get a binary that can be written to a file.\n  let binary = image |&gt; egd.render\n\n  // Destroy the image when you&#39;re done using it.\n  image |&gt; egd.destroy\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/glee_gd&gt;.\n\n## Development\n\n```sh\ngleam test  # Run the tests\n```\n","url":"index.html"},{"doc":"glee_gd/egd","title":"Color","content":"pub type Color =\n  #(Float, Float, Float, Float)\n\n\nSynonyms:\nglee_gd/egd.Color\nglee_gd/egd Color","url":"glee_gd/egd.html#Color"},{"doc":"glee_gd/egd","title":"Image","content":"pub type Image =\n  Pid\n\n\nSynonyms:\nglee_gd/egd.Image\nglee_gd/egd Image","url":"glee_gd/egd.html#Image"},{"doc":"glee_gd/egd","title":"Pid","content":"pub type Pid\n\n\nSynonyms:\nglee_gd/egd.Pid\nglee_gd/egd Pid","url":"glee_gd/egd.html#Pid"},{"doc":"glee_gd/egd","title":"Point","content":"pub type Point =\n  #(Int, Int)\n\n\nSynonyms:\nglee_gd/egd.Point\nglee_gd/egd Point","url":"glee_gd/egd.html#Point"},{"doc":"glee_gd/egd","title":"RGB","content":"pub type RGB =\n  #(Int, Int, Int)\n\n\nSynonyms:\nglee_gd/egd.RGB\nglee_gd/egd RGB","url":"glee_gd/egd.html#RGB"},{"doc":"glee_gd/egd","title":"arc","content":"pub fn arc(\n  image: Pid,\n  p1: #(Int, Int),\n  p2: #(Int, Int),\n  color: #(Float, Float, Float, Float),\n) -&gt; Nil\n\nSynonyms:\nglee_gd/egd.arc\nglee_gd/egd arc","url":"glee_gd/egd.html#arc"},{"doc":"glee_gd/egd","title":"arcd","content":"pub fn arcd(\n  image: Pid,\n  p1: #(Int, Int),\n  p2: #(Int, Int),\n  d: Int,\n  color: #(Float, Float, Float, Float),\n) -&gt; Nil\n\nSynonyms:\nglee_gd/egd.arcd\nglee_gd/egd arcd","url":"glee_gd/egd.html#arcd"},{"doc":"glee_gd/egd","title":"color","content":"pub fn color(\n  color: #(Int, Int, Int),\n) -&gt; #(Float, Float, Float, Float)\n\nSynonyms:\nglee_gd/egd.color\nglee_gd/egd color","url":"glee_gd/egd.html#color"},{"doc":"glee_gd/egd","title":"create","content":"pub fn create(width: Int, height: Int) -&gt; Pid\n\nSynonyms:\nglee_gd/egd.create\nglee_gd/egd create","url":"glee_gd/egd.html#create"},{"doc":"glee_gd/egd","title":"destroy","content":"pub fn destroy(image: Pid) -&gt; Nil\n\nSynonyms:\nglee_gd/egd.destroy\nglee_gd/egd destroy","url":"glee_gd/egd.html#destroy"},{"doc":"glee_gd/egd","title":"filled_ellipse","content":"pub fn filled_ellipse(\n  image: Pid,\n  p1: #(Int, Int),\n  p2: #(Int, Int),\n  color: #(Float, Float, Float, Float),\n) -&gt; Nil\n\nSynonyms:\nglee_gd/egd.filled_ellipse\nglee_gd/egd filled_ellipse","url":"glee_gd/egd.html#filled_ellipse"},{"doc":"glee_gd/egd","title":"filled_rectangle","content":"pub fn filled_rectangle(\n  image: Pid,\n  p1: #(Int, Int),\n  p2: #(Int, Int),\n  color: #(Float, Float, Float, Float),\n) -&gt; Nil\n\nSynonyms:\nglee_gd/egd.filled_rectangle\nglee_gd/egd filled_rectangle","url":"glee_gd/egd.html#filled_rectangle"},{"doc":"glee_gd/egd","title":"filled_triangle","content":"pub fn filled_triangle(\n  image: Pid,\n  p1: #(Int, Int),\n  p2: #(Int, Int),\n  p3: #(Int, Int),\n  color: #(Float, Float, Float, Float),\n) -&gt; Nil\n\nSynonyms:\nglee_gd/egd.filled_triangle\nglee_gd/egd filled_triangle","url":"glee_gd/egd.html#filled_triangle"},{"doc":"glee_gd/egd","title":"information","content":"pub fn information(image: Pid) -&gt; Nil\n\nSynonyms:\nglee_gd/egd.information\nglee_gd/egd information","url":"glee_gd/egd.html#information"},{"doc":"glee_gd/egd","title":"line","content":"pub fn line(\n  image: Pid,\n  p1: #(Int, Int),\n  p2: #(Int, Int),\n  color: #(Float, Float, Float, Float),\n) -&gt; Nil\n\nSynonyms:\nglee_gd/egd.line\nglee_gd/egd line","url":"glee_gd/egd.html#line"},{"doc":"glee_gd/egd","title":"polygon","content":"pub fn polygon(\n  image: Pid,\n  points: List(#(Int, Int)),\n  color: #(Float, Float, Float, Float),\n) -&gt; Nil\n\nSynonyms:\nglee_gd/egd.polygon\nglee_gd/egd polygon","url":"glee_gd/egd.html#polygon"},{"doc":"glee_gd/egd","title":"rectangle","content":"pub fn rectangle(\n  image: Pid,\n  p1: #(Int, Int),\n  p2: #(Int, Int),\n  color: #(Float, Float, Float, Float),\n) -&gt; Nil\n\nSynonyms:\nglee_gd/egd.rectangle\nglee_gd/egd rectangle","url":"glee_gd/egd.html#rectangle"},{"doc":"glee_gd/egd","title":"render","content":"pub fn render(image: Pid) -&gt; String\n\nSynonyms:\nglee_gd/egd.render\nglee_gd/egd render","url":"glee_gd/egd.html#render"},{"doc":"glee_gd/egd","title":"glee_gd/egd","content":"","url":"glee_gd/egd.html"},{"doc":"glee_gd","title":"arc","content":"pub fn arc(\n  image: Pid,\n  p1: #(Int, Int),\n  p2: #(Int, Int),\n  color: #(Float, Float, Float, Float),\n) -&gt; Pid\n\nSynonyms:\nglee_gd.arc\nglee_gd arc","url":"glee_gd.html#arc"},{"doc":"glee_gd","title":"arcd","content":"pub fn arcd(\n  image: Pid,\n  p1: #(Int, Int),\n  p2: #(Int, Int),\n  d: Int,\n  color: #(Float, Float, Float, Float),\n) -&gt; Pid\n\nSynonyms:\nglee_gd.arcd\nglee_gd arcd","url":"glee_gd.html#arcd"},{"doc":"glee_gd","title":"color","content":"pub fn color(\n  color: #(Int, Int, Int),\n) -&gt; #(Float, Float, Float, Float)\n\nSynonyms:\nglee_gd.color\nglee_gd color","url":"glee_gd.html#color"},{"doc":"glee_gd","title":"create","content":"pub fn create(width: Int, height: Int) -&gt; Pid\n\nSynonyms:\nglee_gd.create\nglee_gd create","url":"glee_gd.html#create"},{"doc":"glee_gd","title":"destroy","content":"pub fn destroy(image: Pid) -&gt; Nil\n\nSynonyms:\nglee_gd.destroy\nglee_gd destroy","url":"glee_gd.html#destroy"},{"doc":"glee_gd","title":"filled_ellipse","content":"pub fn filled_ellipse(\n  image: Pid,\n  p1: #(Int, Int),\n  p2: #(Int, Int),\n  color: #(Float, Float, Float, Float),\n) -&gt; Pid\n\nSynonyms:\nglee_gd.filled_ellipse\nglee_gd filled_ellipse","url":"glee_gd.html#filled_ellipse"},{"doc":"glee_gd","title":"filled_rectangle","content":"pub fn filled_rectangle(\n  image: Pid,\n  p1: #(Int, Int),\n  p2: #(Int, Int),\n  color: #(Float, Float, Float, Float),\n) -&gt; Pid\n\nSynonyms:\nglee_gd.filled_rectangle\nglee_gd filled_rectangle","url":"glee_gd.html#filled_rectangle"},{"doc":"glee_gd","title":"filled_triangle","content":"pub fn filled_triangle(\n  image: Pid,\n  p1: #(Int, Int),\n  p2: #(Int, Int),\n  p3: #(Int, Int),\n  color: #(Float, Float, Float, Float),\n) -&gt; Pid\n\nSynonyms:\nglee_gd.filled_triangle\nglee_gd filled_triangle","url":"glee_gd.html#filled_triangle"},{"doc":"glee_gd","title":"information","content":"pub fn information(image: Pid) -&gt; Pid\n\nSynonyms:\nglee_gd.information\nglee_gd information","url":"glee_gd.html#information"},{"doc":"glee_gd","title":"line","content":"pub fn line(\n  image: Pid,\n  p1: #(Int, Int),\n  p2: #(Int, Int),\n  color: #(Float, Float, Float, Float),\n) -&gt; Pid\n\nSynonyms:\nglee_gd.line\nglee_gd line","url":"glee_gd.html#line"},{"doc":"glee_gd","title":"polygon","content":"pub fn polygon(\n  image: Pid,\n  points: List(#(Int, Int)),\n  color: #(Float, Float, Float, Float),\n) -&gt; Pid\n\nSynonyms:\nglee_gd.polygon\nglee_gd polygon","url":"glee_gd.html#polygon"},{"doc":"glee_gd","title":"rectangle","content":"pub fn rectangle(\n  image: Pid,\n  p1: #(Int, Int),\n  p2: #(Int, Int),\n  color: #(Float, Float, Float, Float),\n) -&gt; Pid\n\nSynonyms:\nglee_gd.rectangle\nglee_gd rectangle","url":"glee_gd.html#rectangle"},{"doc":"glee_gd","title":"render","content":"pub fn render(image: Pid) -&gt; String\n\nSynonyms:\nglee_gd.render\nglee_gd render","url":"glee_gd.html#render"},{"doc":"glee_gd","title":"glee_gd","content":"","url":"glee_gd.html"}]);